package net.weasel.SearchIDs;

import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class SearchIDsPlayerListener 
{
	public SearchIDs plugin;
	
    public SearchIDsPlayerListener(SearchIDs instance) {
        plugin = instance;
    }
    
    public boolean onCommand(CommandSender sender, Command command, String commandLabel, String[] args) 
    {
    	String[] split = args;
    	Player player = sender.getServer().getPlayer("");
    	
    	player.sendMessage( "You typed " + command );
    	
    	if( command.toString().equalsIgnoreCase("/" + SearchIDs.searchCommand)) 
    	{
    		if (split.length > 1) 
    		{
    			 String query = "";
    	  		 for (int i = 1; i<split.length; i++) 
    	  		 {
    	  			 query += (split[i] + " ");
    	  		 }
    	  		 
    	  		 query = query.trim();
    	  		 
    	  		 plugin.printSearchResults(player, SearchIDs.parser.search(query, SearchIDs.base), query);
    	  		
    		} 
    		else 
    		{
    	  		return( false );
    	  	}
    	  		
    	  	return( true );
    	}
		
    	return false;
    }
}
